From aed06b6dc33c6832d2f80cef23802e4ca46cd5d5 Mon Sep 17 00:00:00 2001
From: Andrea Scarpino <andrea@archlinux.org>
Date: Sat, 3 Oct 2009 19:09:06 +0200
Subject: [PATCH] check if SRC,PKGDEST exist before move files

---
 makechrootpkg |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff --git a/makechrootpkg b/makechrootpkg
index d56358c..5410cda 100755
--- a/makechrootpkg
+++ b/makechrootpkg
@@ -236,7 +236,7 @@ if mkarchroot -r "/chrootbuild" "$uniondir"; then
                 popd >/dev/null
         fi
 
-        if [ -n "$PKGDEST" ]; then
+        if [ -d "$PKGDEST" ]; then
             echo "Moving completed ${_pkgname%${PKGEXT}} package file to ${PKGDEST}"
             mv "$pkgfile" "${PKGDEST}"
         else
@@ -247,7 +247,7 @@ if mkarchroot -r "/chrootbuild" "$uniondir"; then
 
     for f in "${chrootdir}"/union/srcdest/*; do
         [ -e "$f" ] || continue
-        if [ -n "$SRCDEST" ]; then
+        if [ -d "$SRCDEST" ]; then
             echo "Moving downloaded source file $(basename $f) to ${SRCDEST}"
             mv "$f" "${SRCDEST}"
         else
-- 
1.6.4.4

